Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class TriggerDef

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--org.hsqldb.TriggerDef

class TriggerDef
extends Thread

Field Summary
`(package private) final static int` | `DELETE_AFTER`
`(package private) final static int` | `DELETE_AFTER_ROW`
`(package private) final static int` | `DELETE_BEFORE`
`(package private) final static int` | `DELETE_BEFORE_ROW`
`(package private) java.lang.String` | `fire`
`(package private) boolean` | `forEachRow`
`(package private) final static int` | `INSERT_AFTER`
`(package private) final static int` | `INSERT_AFTER_ROW`
`(package private) final static int` | `INSERT_BEFORE`
`(package private) final static int` | `INSERT_BEFORE_ROW`
`(package private) java.lang.String` | `name`
`(package private) final static int` | `NUM_TRIGGER_OPS`
`(package private) final static int` | `NUM_TRIGS`
`(package private) java.lang.String` | `operation`
`(package private) java.lang.Object[]` | `rowForTrigger`
`(package private) org.hsqldb.Table` | `table`
`(package private) org.hsqldb.Trigger` | `trig`
`(package private) final static int` | `UPDATE_AFTER`
`(package private) final static int` | `UPDATE_AFTER_ROW`
`(package private) final static int` | `UPDATE_BEFORE`
`(package private) final static int` | `UPDATE_BEFORE_ROW`
`(package private) int` | `vectorIndx`
`(package private) java.lang.String` | `when`

Fields inherited from class java.lang.Thread
`MIN_PRIORITY, NORM_PRIORITY, MAX_PRIORITY`

Constructor Summary
`TriggerDef(java.lang.String , java.lang.String , java.lang.String , boolean , org.hsqldb.Table , org.hsqldb.Trigger , java.lang.String )`

Method Summary
`boolean` | `isBusy()`
`boolean` | `isValid()`
`static int` | `numTrigs()`
`synchronized void` | `pop()`
`synchronized void` | `push(java.lang.Object[] )`
`void` | `run()`
`int` | `SqlToIndex()`
`java.lang.StringBuffer` | `toBuf()`

Methods inherited from class java.lang.Thread
`currentThread, yield, sleep, sleep, start, stop, stop, interrupt, interrupted, isInterrupted, destroy, isAlive, suspend, resume, setPriority, getPriority, setName, getName, getThreadGroup, activeCount, enumerate, countStackFrames, join, join, join, dumpStack, setDaemon, isDaemon, checkAccess, toString, getContextClassLoader, setContextClassLoader`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Field Detail

### DELETE_AFTER

    final static int DELETE_AFTER

### DELETE_AFTER_ROW

    final static int DELETE_AFTER_ROW

### DELETE_BEFORE

    final static int DELETE_BEFORE

### DELETE_BEFORE_ROW

    final static int DELETE_BEFORE_ROW

### fire

    java.lang.String fire

### forEachRow

    boolean forEachRow

### INSERT_AFTER

    final static int INSERT_AFTER

### INSERT_AFTER_ROW

    final static int INSERT_AFTER_ROW

### INSERT_BEFORE

    final static int INSERT_BEFORE

### INSERT_BEFORE_ROW

    final static int INSERT_BEFORE_ROW

### name

    java.lang.String name

### NUM_TRIGGER_OPS

    final static int NUM_TRIGGER_OPS

### NUM_TRIGS

    final static int NUM_TRIGS

### operation

    java.lang.String operation

### rowForTrigger

    java.lang.Object[] rowForTrigger

### table

    org.hsqldb.Table table

### trig

    org.hsqldb.Trigger trig

### UPDATE_AFTER

    final static int UPDATE_AFTER

### UPDATE_AFTER_ROW

    final static int UPDATE_AFTER_ROW

### UPDATE_BEFORE

    final static int UPDATE_BEFORE

### UPDATE_BEFORE_ROW

    final static int UPDATE_BEFORE_ROW

### vectorIndx

    int vectorIndx

### when

    java.lang.String when

Constructor Detail

### TriggerDef

    public TriggerDef(java.lang.String , java.lang.String , java.lang.String , boolean , org.hsqldb.Table , org.hsqldb.Trigger , java.lang.String )

Method Detail

### isBusy

    public boolean isBusy()

### isValid

    public boolean isValid()

### numTrigs

    public static int numTrigs()

### pop

    public synchronized void pop()

### push

    public synchronized void push(java.lang.Object[] )

### run

    public void run()

### SqlToIndex

    public int SqlToIndex()

### toBuf

    public java.lang.StringBuffer toBuf()

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD